Summary:	File archiver with highest compression ratio
Summary(pl.UTF-8):	Paker plików z najwyższym stopniem kompresji
Name:		p7zip
Version:	16.02
Release:	1
License:	LGPL v2.1+
Group:		Applications/Archiving
Source0:	http://downloads.sourceforge.net/p7zip/%{name}_%{version}_src_all.tar.bz2
# Source0-md5:	a0128d661cfe7cc8c121e73519c54fbf
URL:		http://p7zip.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
7-Zip is a file archiver with highest compression ratio.

The main features of 7z format:
- Open architecture
- High compression ratio
- Strong AES-256 encryption
- Ability of using any compression, conversion or encryption method
- Supporting files with sizes up to 16000000000 GB
- Unicode file names
- Solid compressing
- Archive headers compressing

%description -l pl.UTF-8
7-Zip jest pakerem plików z najwyższym stopniem kompresji.

Główne cechy formatu 7z:
- otwarta architektura,
- wysoki stopień kompresji,
- silne kodowanie AES-256,
- możliwość używania dowolnych metod kodowania, kompresji, konwersji,
- obsługa bardzo dużych plików (powyżej 16000000000 GB),
- obsługa nazw plików w unikodzie,
- kompresja upakowana,
- kompresja nagłówków archiwum.

%package standalone
Summary:	Standalone 7zip executable
Summary(pl.UTF-8):	Samodzielny plik wykonywalny 7zip
Group:		Applications/Archiving
Obsoletes:	p7zip-stand-alone

%description standalone
Standalone version of 7zip. It handles less archive formats than
plugin capable version.

%description standalone -l pl.UTF-8
Samodzielna wersja 7zip-a. Obsługuje mniej formatów archiwów niż
wersja obsługująca wtyczki.

%prep
%setup -q -n %{name}_%{version}

%{__sed} -i -e 's/ -s / /' makefile.machine

find . -name '*.cpp' -exec %{__sed} -i -e 's@getenv("P7ZIP_HOME_DIR")@"%{_libdir}/%{name}/"@g' {} \;

%build
#%%{__make} all2 test \
%{__make} all2 \
	CC="%{__cc} \$(ALLFLAGS)" \
	CXX="%{__cxx} \$(ALLFLAGS)" \
	LDFLAGS="%{rpmldflags}" \
	OPTFLAGS="%{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name}/{Codecs,Formats},%{_mandir}/man1}

install bin/{7z,7za} $RPM_BUILD_ROOT%{_bindir}
install bin/7z.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install bin/Codecs/* $RPM_BUILD_ROOT%{_libdir}/%{name}/Codecs
install bin/7zCon.sfx $RPM_BUILD_ROOT%{_libdir}/%{name}

install man1/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
# 7zr is not packaged (subset of 7za functionality)
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/7zr.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc DOC/{MANUAL,{7zFormat,License,Methods,lzma,readme,src-history}.txt} ChangeLog README TODO
# devel: %doc DOC/7zC.txt
%attr(755,root,root) %{_bindir}/7z
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/7zCon.sfx
%attr(755,root,root) %{_libdir}/%{name}/7z.so
%dir %{_libdir}/%{name}/Codecs
%attr(755,root,root) %{_libdir}/%{name}/Codecs/*
%{_mandir}/man1/7z.1*

%files standalone
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/7za
%{_mandir}/man1/7za.1*
%changelog
* Sat Dec 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/p7zip.git;a=log;h=master

* Sat Dec 10 2016 Jakub Bogusz <qboosh@pld-linux.org> f2df011
- updated to 16.02

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 307f98c
- x32 rebuild
- release 3 (by relup.sh)

* Sat Jun 29 2013 Marcin Krol <hawk@tld-linux.org> 20146b6
- release 2 (by relup.sh)

* Fri Mar 18 2011 lisu <lisu@pld-linux.org> 5f9f120
- up to 9.20.1
- no more makefile.linux_x86_ppc_alpha_gcc_4.X file exist

* Mon Dec 13 2010 Paweł Sikora <pluto@pld-linux.org> 5fb535a
- install 7zCon.sfx in proper place, release 1.

* Wed Jun 16 2010 lisu <lisu@pld-linux.org> 88b8581
- up to 9.13
- fails on make test
- rel 0.1

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> 683c7f8
- BR: libstdc++-devel
- use rpmcxxflags as OPTFLAGS - code is mostly c++

* Thu Jun 18 2009 lisu <lisu@pld-linux.org> b4f5036
- up to 9.04

* Mon Feb 16 2009 lisu <lisu@pld-linux.org> 7191d54
- 4.65

* Mon Dec 01 2008 lisu <lisu@pld-linux.org> 563d569
- use sed macro

* Mon Dec 01 2008 lisu <lisu@pld-linux.org> 35f7971
- 4.61

* Mon Jul 21 2008 Adam Gołębiowski <adamg@pld-linux.org> bb22436
- updated to 4.58

* Sun Dec 16 2007 Adam Gołębiowski <adamg@pld-linux.org> c2cc56a
- updated to 4.57

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> f4f10cf
- updated to 4.53

* Tue Aug 21 2007 Elan Ruusamäe <glen@pld-linux.org> 345b99c
- builds with gcc 3.3.6

* Sun Aug 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 8031d7a
- updated to 4.51

* Tue Jul 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 712d13b
- updated to 4.49

* Wed Jul 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 1872f92
- updated to 4.48

* Tue May 29 2007 areq <areq@pld-linux.org> 5a5d8ac
- 4.47

* Wed Apr 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 5a1c757
- updated to 4.45

